/*
 *  Alphapplet.cs: a tray applet for fasy access to a phonetic alphabe
 *  Copyright 2003 Dag Wieers <dag@wieers.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

using System;
//using System.Collections;

using Gnome;
using Gtk;
using GtkSharp;

using Egg;

public class Alphapplet {
	static Menu leftmenu, rightmenu;
//	static Hashtable alphabet;
	static Gnome.About ab;

	public static void Main () {
		Application.Init();

//		alphabet = new Hashtable();
		leftmenu = new Menu();
		rightmenu = new Menu();
		
		leftmenu.Append (new MenuItem("Alfa"));
		leftmenu.Append (new MenuItem("Bravo"));
		leftmenu.Append (new MenuItem("Charlie"));
		leftmenu.Append (new MenuItem("Delta"));
		leftmenu.Append (new MenuItem("Echo"));
		leftmenu.Append (new MenuItem("Foxtrot"));
		leftmenu.Append (new MenuItem("Golf"));
		leftmenu.Append (new MenuItem("Hotel"));
		leftmenu.Append (new MenuItem("India"));
		leftmenu.Append (new MenuItem("Juliet"));
		leftmenu.Append (new MenuItem("Kilo"));
		leftmenu.Append (new MenuItem("Lima"));
		leftmenu.Append (new MenuItem("Mike"));
		leftmenu.Append (new MenuItem("November"));
		leftmenu.Append (new MenuItem("Oscar"));
		leftmenu.Append (new MenuItem("Papa"));
		leftmenu.Append (new MenuItem("Quebec"));
		leftmenu.Append (new MenuItem("Romeo"));
		leftmenu.Append (new MenuItem("Sierra"));
		leftmenu.Append (new MenuItem("Tango"));
		leftmenu.Append (new MenuItem("Uniform"));
		leftmenu.Append (new MenuItem("Victor"));
		leftmenu.Append (new MenuItem("Whiskey"));
		leftmenu.Append (new MenuItem("X-Ray"));
		leftmenu.Append (new MenuItem("Yankee"));
		leftmenu.Append (new MenuItem("Zulu"));
//		rightmenu.Append (new SeparatorMenuItem());

		ImageMenuItem it_about  = new ImageMenuItem("About", new Gtk.AccelGroup());
		it_about.Activated += new EventHandler(AboutSelected);
		rightmenu.Append(it_about);

		ImageMenuItem it_remove  = new ImageMenuItem("gtk-remove", new Gtk.AccelGroup());
		it_remove.Activated += new EventHandler(QuitSelected);
		rightmenu.Append(it_remove);

                EventBox eb = new EventBox();
                eb.ButtonPressEvent += new ButtonPressEventHandler(IconClicked);
                eb.Add (new Image (new Gdk.Pixbuf(null, "alphapplet.png")));

                TrayIcon t = new TrayIcon("Alphapplet");
                t.Add (eb);
                t.ShowAll ();

		Application.Run ();
	}

	static void IconClicked (object o, ButtonPressEventArgs args) {
		if (args.Event.button == 3) { 
			rightmenu.ShowAll ();
			rightmenu.Popup (null, null, null, IntPtr.Zero, args.Event.button, args.Event.time);
		} else if (args.Event.button == 1) {
			leftmenu.ShowAll ();
			leftmenu.Popup (null, null, null, IntPtr.Zero, args.Event.button, args.Event.time);
		}
	}

	static void AboutSelected (object o, EventArgs args) {
		Gdk.Pixbuf icon = new Gdk.Pixbuf (null, "alphapplet.png");
		string NAME = "Phonetic Alphapplet";
		string VERSION = "0.1";
		string[] authors = new string[] { "Dag Wieers <dag@wieers.com>" };
		string copyright = "Copyright (C) 2003 Dag Wieers <dag@wieers.com>";
		string description = "A tray applet for displaying phonetic alphabets.";

		Gnome.About ab = new Gnome.About(NAME, VERSION, copyright, description,
				authors, null, null, icon);
		ab.Show();
	}

	static void QuitSelected (object o, EventArgs args) {
		Application.Quit ();
	}
}
